#include "MenuTextSk4_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextSk4_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextSk4_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_skill_4;
}

std::shared_ptr<Entity> CreateMenuTextSk4_Player2Keyboard()
{
	return std::make_shared<MenuTextSk4_Player2Keyboard>();
}


